com.amazonaws.services.simpleworkflow.model

## Class CompleteWorkflowExecutionDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.CompleteWorkflowExecutionDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class CompleteWorkflowExecutionDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `CompleteWorkflowExecution` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompleteWorkflowExecutionDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompleteWorkflowExecutionDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getResult()` The result of the workflow execution.
`int` `hashCode()`
`void` `setResult(String result)` The result of the workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CompleteWorkflowExecutionDecisionAttributes` `withResult(String result)` The result of the workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompleteWorkflowExecutionDecisionAttributes

    public CompleteWorkflowExecutionDecisionAttributes()

### Method Detail

#### setResult

    public void setResult(String result)

The result of the workflow execution. The form of the result is implementation defined.

Parameters:
  `result` - The result of the workflow execution. The form of the result is implementation defined.

#### getResult

    public String getResult()

The result of the workflow execution. The form of the result is implementation defined.

Returns:
  The result of the workflow execution. The form of the result is implementation defined.

#### withResult

    public CompleteWorkflowExecutionDecisionAttributes withResult(String result)

The result of the workflow execution. The form of the result is implementation defined.

Parameters:
  `result` - The result of the workflow execution. The form of the result is implementation defined.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CompleteWorkflowExecutionDecisionAttributes clone()

Overrides:
  `clone` in class `Object`